PrepareMessage.PrepareMessageSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair.messages

## Class PrepareMessage.PrepareMessageSerializer

- java.lang.Object
- - org.apache.cassandra.repair.messages.PrepareMessage.PrepareMessageSerializer

- All Implemented Interfaces:
    IVersionedSerializer<PrepareMessage>, RepairMessage.MessageSerializer<PrepareMessage>
  Enclosing class:
    PrepareMessage

      public static class PrepareMessage.PrepareMessageSerializer
      extends java.lang.Object
      implements RepairMessage.MessageSerializer<PrepareMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareMessageSerializer(boolean global)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrepareMessage` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(PrepareMessage message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(PrepareMessage message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrepareMessageSerializer

          public PrepareMessageSerializer(boolean global)

  - ### Method Detail

    - #### serialize

          public void serialize(PrepareMessage message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<PrepareMessage>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public PrepareMessage deserialize(java.io.DataInput in,
                                            int version)
                                     throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<PrepareMessage>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(PrepareMessage message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<PrepareMessage>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation